from django.conf.urls import include, url
from django.contrib.auth.views import login, logout
from testproject import views
from testproject import models

from rapid import register
from rapid import permissions

cruds = [models.Test1, models.AltData1, models.AltData2]

urlpatterns = [
    url(r'^/?$', views.blank),
    url(r'^login$', login),
    url(r'^logout$', logout, {'next_page': '/'}),
    url(r'^applications/', include('rapid.urls')),
]

for m in cruds:
    urlpatterns += register.model(m, permissions.to_all(), permissions.to_all())
